package go_lib_dingtalk

import (
	"log"
	"net/url"
	"testing"
)

func TestGet(t *testing.T) {
	c := NewClient()
	req := NewRequest()
	req.SetPath("/get_jsapi_ticket")
	req.SetMethod("Get")
	res := c.Execute(req)
	log.Println(res.IsSuccess(), res.GetError())
}

func TestPost(t *testing.T) {
	c := NewClient()
	req := NewRequest()
	req.SetPath("/user/create")
	query := url.Values{}
	query.Add("access_token", "11111")
	req.SetQueryParam(query)
	req.SetBodyParam(map[string]interface{}{
		"userid": "11111",
	})
	req.SetMethod("Post")
	res := c.Execute(req)
	log.Println(res.IsSuccess(), res.GetError())
}
